@charset "UTF-8";
* {
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
  box-sizing: border-box;
}

img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
}
header {
  position: fixed ;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  background: #f6f974;
}
.btn-hover:hover {
  background-color: #abab2c;
  color: #000;
}

header h1 {
  font-size: 3rem;
  text-align: center;
  padding: 1;
}
#wrap {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow: hidden;
}
#js-btn {
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 100;
  width: 40px;
  height: 40px;
  border: 1px solid #808080;
  border-radius: 2px;
  background: transparent;
  font-size: 2rem;
  line-height: 1;
  padding: 0;
}

/*位置調整*/
#js-btn span {
  position: relative;
  top: -2px;
  left: 0;
}
.icon-close {
  display: none;
}

#js-btn.open .icon-open {
  display: none;
}

#js-btn.open .icon-close {
  display: inline;
}

.nav-menu ul {
  color: #000;
   font-size: 2rem;
  padding-bottom: 1rem;
  text-align: center;
  /* display:flex; */
  /* flex-direction: column; */
  align-items:center;
  list-style: none;
  padding: 0;
  justify-content: flex-end;
  gap: 50px;
  margin: 0;
}

.nav-menu ul li {
  /*display: inline-block;*/
  margin: 10px 0px;
  padding: 10px 0;
}
.nav-menu {
  height: 100vh;
  width: 300px;
  position: absolute;
  top: 0;
  right: -300px;
  z-index: 50;
  background-color: rgba(0, 0, 0, .5);
  transition: transform .5s;
}

.nav-menu.open {
  transform: translateX(-300px);
}
.nav-menu ul li a {
  font-weight: bold;
  color: #FFF;
}
section {
  background: #FFF;
   padding: 20px;
}

.container{
  /* display: flex; */
    display: grid;
  grid-template-columns: 1fr;
  gap: 50px;
}

/* 
  gap: 20px;
  flex-direction: row-reverse;
}

.column-img {
  flex: 1;
}

.column-text {
  flex: 2;
}
   */
main {
  text-align: center;
  padding: 1rem;
  flex-grow: 1;
  max-width: 1200px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
}
footer {
  background: #333;
    color: #FFF;
  text-align: center;
  padding: 1rem;
  width: 100%;
}
/*タブレット用*/
@media all and (min-width: 768px) {
  .container {
    grid-template-columns: 1fr 1fr;
  }
}
/*コンピュータ用*/
@media all and (min-width: 1024px) {
  #js-btn {
    display: none;
  }

  .nav-menu {
    display: block;
    height: auto;
    width: 100%;
    position: static;
    background-color: transparent;
  }
  
  .nav-menu ul li {
    display: inline-block;
    padding: 0;
  }

  .nav-menu ul li a {
    color: #333;
  }

  header h1 {
    font-size: 4rem;
  }

  /* main {
    grid-template-columns: 1fr 1fr;
  } */

  .sec01 {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
  }

  .sec02 {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 2;
    grid-column-end: 3;
  }

  .sec03 {
    grid-row-start: 2;
    grid-row-end: 3;
    grid-column-start: 1;
    grid-column-end: 3;
  }

  .container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
html {
  font-size: 10px;
}
main{margin-bottom :80px
}
/*全体*/
.gallery{
  display: flex;
  justify-content: center;
  gap:40px;
  flex-wrap: wrap;
  padding: 30px
}
/* 画像と文章のセット */

.card {
  width: 45%;
  text-align: center;
}

/* 画像 */
.card img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 0px;
}

/* 説明文 */
.card p {
  margin-top: 15px;
  line-height: 1.8;
  font-size: 16px;
  text-align: center;
}
  #topBtn {

  position: fixed;

  bottom: 20px;

  right: 20px;

  background: #333;

  color: white;

  text-decoration: none;

  padding: 12px 16px;

  border-radius: 50px;

  display: none; /* 最初は非表示 */

  font-size: 14px;

}

#topBtn:hover {

  background: #555;

}